# -*- coding: utf-8 -*-

import redis
import re
import json


def name_process(name):
    project_tags = ["口腔","植发","牙","皮肤","眼","外科","美容","整形","烧伤","胸","丰胸","美胸","祛痘","祛斑","脱毛",
                    "创伤","除疤","半永久","纹绣","纹眉"]
    names = ["医疗","门诊","研究所","有限","公司","医学","诊所","中心","医美","集团","卫生","机构","专业",
             "光学","国际","连锁","综合","专科",""]
    location = ["街道","社区",]
    stop_words = project_tags + names + location
    for word in stop_words:
        name = re.sub(word, '', name)
    # 去除 中文括号( )
    name = re.sub(r'\（.*?\）', '', name)
    # 去除 英文括号( )
    name = re.sub(r'\(.*?\)', '', name)
    # 去除 左英文括号，右中文括号
    name = re.sub(r'\(.*?\）', '', name)
    # 去除数字
    name = re.sub(r'\d', '', name)
    # 去除\t
    name = re.sub(r'\t', "", name)
    return name


if __name__ == '__main__':
    redis_client = redis.StrictRedis.from_url("redis://:ReDis!GmTx*0aN6@172.16.40.133:6379")
    name_list = eval(redis_client.get("hname"))
    print(name_list[:10])
    result = []
    for i in name_list:
        result.append(name_process(i))

    redis_client.set("hname_short",json.dumps(result))



